package com.gxwebsoft.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.shop.entity.ShopVerifyUser;
import com.gxwebsoft.shop.param.ShopVerifyUserParam;

import java.util.List;

/**
 * 订单核销人管理Service
 *
 * @author xm
 * @since 2026-05-25 17:13:00
 */
public interface ShopVerifyUserService extends IService<ShopVerifyUser> {

    /**
     * 分页关联查询
     *
     * @param param 查询参数
     * @return PageResult<ShopVerifyUser>
     */
    PageResult<ShopVerifyUser> pageRel(ShopVerifyUserParam param);

    /**
     * 关联查询全部
     *
     * @param param 查询参数
     * @return List<ShopVerifyUser>
     */
    List<ShopVerifyUser> listRel(ShopVerifyUserParam param);

    /**
     * 根据id查询
     *
     * @param id 主键ID
     * @return ShopVerifyUser
     */
    ShopVerifyUser getByIdRel(Integer id);

    /**
     * 通过用户ID查询
     * @param userId
     * @return
     */
    ShopVerifyUser getInfo(Integer userId);

    /**
     * 修改订单核销人开启状态
     * @param id 主键ID
     * @return
     */
    Boolean updateStatus(Integer id);

    /**
     * 修改订单核销人核销权限
     * @param id 主键ID
     * @return
     */
    Boolean updateVerifyFlag(Integer id);

    /**
     * 保存数据
     * @param shopVerifyUser
     * @return
     */
    Boolean saveInfo(ShopVerifyUser shopVerifyUser);

}
